%define name js
%define version 0.2.4
%define release 1

Summary: NGS JavaScript Interpreter
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.ngs.fi/js/%{name}-%{version}.tar.gz
Patch: js-0.2.2.patch
Group: Development/Languages/JavaScript
BuildRoot: /tmp/%{name}-%{version}-root
Copyright: GPL
Packager: Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>
Distribution: Homegrown stuff for RedHat 5.X
Vendor: unknown
URL: http://www.ngs.fi/js/

%description
The NGS JavaScript is a GPL free interpreter for the JavaScript
language.  The JavaScript language is an interpreted C-like
language, developed by Netscape et al.


%changelog
* Mon Oct 26 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.2.4-1]

- upgraded to version 0.2.4

* Mon Jun 22 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.2.2-1]

- upgraded to version 0.2.2
- minor changes to the specfile

* Mon Jun 22 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>
- upgraded to version 0.1.2

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%patch -p1

%build
autoconf
./configure --prefix=/usr --with-all-dispatchers --with-pthreads --with-curses
make

%install
make install prefix=$RPM_BUILD_ROOT/usr

%post
install-info --info-dir=/usr/info /usr/info/js.info

%preun
install-info --delete --info-dir=/usr/info /usr/info/js.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/bin/js
%attr(-,root,root) /usr/bin/jsas
%attr(-,root,root) /usr/bin/jsdas
%attr(-,root,root) /usr/bin/jswrap
%attr(-,root,root) /usr/man/man1/js.1
%attr(-,root,root) /usr/man/man1/jsdas.1
%attr(-,root,root) /usr/lib/libjs.a
%attr(-,root,root) /usr/include/js.h
%attr(-,root,root) /usr/include/jsint.h
%attr(-,root,root) /usr/include/jsconfig.h
%attr(-,root,root) %doc /usr/info/js.info
%attr(-,root,root) %doc /usr/info/js.info-1
%attr(-,root,root) %doc /usr/info/js.info-2
%attr(-,root,root) %doc /usr/info/js.info-3
%attr(-,root,root) %doc /usr/info/js.info-4
